import * as React from "react";
import { IDataBinder } from "../../form/formCore";
import { FormBinderBase } from "../../form/formBinders";
export interface IDateInputProps extends React.Props<DateInput> {
    date?: string;
    onChange?: (date: string) => void;
    yearsFromNow?: number;
    futureDates?: boolean;
}
export interface IDateInputState {
    day?: number;
    month?: number;
    year?: number;
    date?: string;
}
export declare class DateInput extends React.Component<IDateInputProps, IDateInputState> {
    private cId;
    constructor();
    getDaysArrayByMonth(): string[];
    dayChanged(day: string): void;
    monthChanged(month: string): void;
    yearChanged(year: string): void;
    componentWillMount(): void;
    componentWillReceiveProps(newProps: IDateInputProps): void;
    buildDate(): void;
    createDate(): string;
    render(): any;
}
export declare class DateInputFormBinder extends FormBinderBase<IDateInputProps, string, string> {
    static customValue(dataName: string): DateInputFormBinder;
    handleValueChanged(props: IDateInputProps, dataBinder: IDataBinder<any>, notifyChanged: () => void): void;
}
